diff a/src/hotspot/share/utilities/globalDefinitions.hpp b/src/hotspot/share/utilities/globalDefinitions.hpp
--- a/src/hotspot/share/utilities/globalDefinitions.hpp
+++ b/src/hotspot/share/utilities/globalDefinitions.hpp
@@ -1355,6 +1355,16 @@
 
 // Quickly test to make sure IEEE-754 subnormal numbers are correctly
 // handled.
 bool IEEE_subnormal_handling_OK();
 
+#if defined(AMD64) || defined (AARCH64)
+#define LOOM_MONITOR_SUPPORT true
+#define LOOM_MONITOR_SUPPORT_ONLY(code) code
+#define NOT_LOOM_MONITOR_SUPPORT(code)
+#else
+#undef LOOM_MONITOR_SUPPORT
+#define LOOM_MONITOR_SUPPORT_ONLY(code)
+#define NOT_LOOM_MONITOR_SUPPORT(code) code
+#endif
+
 #endif // SHARE_UTILITIES_GLOBALDEFINITIONS_HPP
